﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;


namespace DcnSwSmd.Collections
{
    public enum STOPWATCH_STATE
    {
        /// <summary>Idle state of the stopwatch</summary>
        STOPWATCH_IDLE = 0,
        /// <summary>Running state of the stopwatch</summary>
        STOPWATCH_RUNNING,
        /// <summary>Interrupted state of the stopwatch</summary>
        STOPWATCH_INTERRUPTED
    }

    class Groups : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #region Fields

        private string groupName;
        private long groupSpeechTimeLimit;
        private int activeSpeakerCount;
        private STOPWATCH_STATE stopWatchState;

        public STOPWATCH_STATE StopWatchState
        {
            get { return stopWatchState; }
            set { stopWatchState = value; }
        }
 
        #endregion

        #region Properties

        public int ActiveSpeakerCount
        {
            get
            {
                return activeSpeakerCount;
            }
            set
            {
                activeSpeakerCount = value;
            }
        }
        public string GroupName
        {
            get
            {
                return groupName;
            }
            set
            {
                groupName = value;
                this.NotifyPropertyChanged("GroupName");
            }
        }

        public long GroupSpeechTimeLimit
        {
            get
            {
                return groupSpeechTimeLimit;
            }
            set
            {
                groupSpeechTimeLimit = value;
                this.NotifyPropertyChanged("RemainingSpeechTime");
            }
        }

        
        #endregion
    }
}
