using System;
using System.Collections.Generic;
using System.Text;

namespace DcnSwSmd
{
    /// <summary>
    /// The topics supported for the activities. Each received activity 
    /// corresponds to one of these.
    /// </summary>
    /// <remarks>
    /// This source code is provided for educational purposes only, without 
    /// warranties of any kind.
    /// </remarks>
    public enum EnumTopic
    {
        /// <summary>
        /// Topic for System.
        /// </summary>
        System = 0,

        /// <summary>
        /// Topic for Meeting.
        /// </summary>
        Meeting = 1,

        /// <summary>
        /// Topic for Session.
        /// </summary>
        Session = 2,

        /// <summary>
        /// Topic for Discussion.
        /// </summary>
        Discussion = 3,

        /// <summary>
        /// Topic for Participant.
        /// </summary>
        Participant = 4,

        /// <summary>
        /// Topic for Seat.
        /// </summary>
        Seat = 5,

        /// <summary>
        /// Topic for Voting.
        /// </summary>
        Voting = 6,

        /// <summary>
        /// Topic for Interpretation.
        /// </summary>
        Interpretation = 7,

        /// <summary>
        /// Topic for Service Call.
        /// </summary>
        ServiceCall = 8,

        /// <summary>
        /// Topic for Booth.
        /// </summary>
        Booth = 9,

        /// <summary>
        /// Topic for Desk.
        /// </summary>
        Desk = 10,

        /// <summary>
        /// Topic for Test System.
        /// </summary>
        TestSystem = 11,
    }
}
