﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DcnSwSmd
{
    /// <summary>
    /// A base class which has common data, that is applicable for all classes.
    /// </summary>
    public class SMDBasicData
    {
        #region Properties
        /// <summary>
        /// To display the date and time of the activity.
        /// </summary>
        public DateTime ActivityDateTime
        {
            get
            {
                return dateAndTime;
            }
            set
            {
                dateAndTime = value;
            }
        }
        /// <summary>
        /// To display Subject of the activity.
        /// </summary>
        public string Subject
        {
            get
            {
                return activitySubject;
            }
            set
            {
                activitySubject = value;
            }
        }
        
        #endregion
        
        #region Fields
        /// <summary>
        /// Date and Time to Display.
        /// </summary>
        private DateTime dateAndTime;
        
        /// <summary>
        /// Subject of the activity
        /// </summary>
        private string activitySubject;

        #endregion
    }
}
