﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DcnSwSmd.TraceListeners.Data;

namespace DcnSwSmd
{
    /// <summary>
    /// Class to hold discussion details.
    /// </summary>
    public class SMDDiscussionData
    {
        #region Properties
        /// <summary>
        /// Object to hold the Discussion data.
        /// </summary>
        public DiscussionContainer Discussion
        {
            get
            {
                return discussion;
            }
            set
            {
                discussion = value;
            }
        }

        /// <summary>
        /// Object to hold the list of active speakers.
        /// </summary>
        public ActiveListContainer ActiveList
        {
            get
            {
                return activeList;
            }
            set
            {
                activeList = value;
            }
        }

        /// <summary>
        /// Object to hold the list to Requests to speak.
        /// </summary>
        public RequestListContainer RequestList
        {
            get
            {
                return requestList;
            }
            set
            {
                requestList = value;
            }
        }

        public SpecialEquipmentListContainer SpecialEquipment
        {
            get
            {
                return splEquipment;
            }
            set
            {
                splEquipment = value;
            }
        }

        public ActiveResponseListContainer ActiveResponseList
        {
            get
            {
                return activeResponseList;
            }
            set
            {
                activeResponseList = value;
            }
        }

        public ResponseListContainer ResponseList
        {
            get
            {
                return responseList;
            }
            set 
            {
                responseList = value;
            }
        }
        #endregion
        
        #region Fields

        private ActiveListContainer activeList;
        private RequestListContainer requestList;
        private DiscussionContainer discussion;
        private SpecialEquipmentListContainer splEquipment;
        private ActiveResponseListContainer activeResponseList;
        private ResponseListContainer responseList;
        #endregion

    }
}
