﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DcnSwSmd.TraceListeners.Data;
using System.Data;

namespace DcnSwSmd
{
    /// <summary>
    /// Class to hold Participant details for Attendance registration.
    /// </summary>
    public class SMDParticipantData
    {
        #region Methods

        /// <summary>
        /// Constructor.
        /// </summary>
        public SMDParticipantData()
        {
            ParticipantApptendanceDetails = new DataTable();
            ParticipantApptendanceDetails.Columns.Add("Participant_Id", typeof(string));
            ParticipantApptendanceDetails.Columns.Add("Participant_Name", typeof(string));
            ParticipantApptendanceDetails.Columns.Add("Group_Name", typeof(string));
            dtParticipantAttendanceDetails.Columns.Add("Attendance_Status", typeof(string));
            DataColumn[] columnPrimaryKey = new DataColumn[1];
            columnPrimaryKey[0] = ParticipantApptendanceDetails.Columns["Participant_Id"];
            ParticipantApptendanceDetails.PrimaryKey = columnPrimaryKey;
        }
        
        /// <summary>
        /// Function to add all the participants to a datatable, and change their attendance status.
        /// </summary>
        /// <param name="participant"></param>
        public void AddRowtoParticipantAttendanceDetails(ParticipantContainer participant)
        {
            if (participant.Id != 0 && ParticipantApptendanceDetails.Rows.Contains(participant.Id))
            {
                if (participant.ParticipantData != null)
                {
                    DataRow[] rows = ParticipantApptendanceDetails.Select("Participant_Id ='"+participant.Id +"'");
                    rows[0]["Participant_Name"] = participant.ParticipantData.FirstName + " " + participant.ParticipantData.MiddleName + " " + participant.ParticipantData.LastName;
                    if (rows[0]["Attendance_Status"].ToString().ToLower() != participant.ParticipantData.Present.ToString().ToLower())
                    {
                        
                        rows[0]["Attendance_Status"] = participant.ParticipantData.Present.ToString().ToLower();
                    }
                }
            }
            else
            {
                row = ParticipantApptendanceDetails.NewRow();
                if (participant.Seat != null && participant.Seat.SeatData != null)
                {
                    if (participant.Seat.SeatData.SeatType == "Delegate" || participant.Seat.SeatData.SeatType == "Chairman")
                    {
                        row["Participant_Id"] = participant.Id;
                        row["Participant_Name"] = participant.ParticipantData.FirstName + " " + participant.ParticipantData.MiddleName + " " + participant.ParticipantData.LastName;
                        if (participant.Group != null)
                        {
                            row["Group_Name"] = participant.Group.Name;
                        }
                        row["Attendance_Status"] = participant.ParticipantData.Present.ToString().ToLower();
                        ParticipantApptendanceDetails.Rows.Add(row);
                    }
                }
                else
                {
                    if (participant.Id != 0)
                    {
                        row["Participant_Id"] = participant.Id;
                        row["Participant_Name"] = participant.ParticipantData.FirstName + " " + participant.ParticipantData.MiddleName + " " + participant.ParticipantData.LastName;
                        if (participant.Group != null)
                        {
                            row["Group_Name"] = participant.Group.Name;
                        }
                        row["Attendance_Status"] = participant.ParticipantData.Present.ToString().ToLower();
                        ParticipantApptendanceDetails.Rows.Add(row);
                    }
                }
            }
        }
        #endregion

        #region Properties

        /// <summary>
        /// A datatable to hold the details of participants.
        /// </summary>
        public DataTable ParticipantApptendanceDetails
        {
            set
            {
                dtParticipantAttendanceDetails = value;
            }

            get
            {
                return dtParticipantAttendanceDetails;
            }
        }
        #endregion


        #region Fields
        
        DataTable dtParticipantAttendanceDetails;
        DataRow row;
       #endregion
    }
}
