﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DcnSwSmd.TraceListeners.Data;

namespace DcnSwSmd
{
    /// <summary>
    /// Class to hold the Voting data.
    /// </summary>
    public class SMDVotingData : SMDBasicData
    {
        #region Functions
        
        /// <summary>
        /// Constructor.
        /// </summary>
        public SMDVotingData()
        {
         
        }

        #endregion

        #region Properties

       /// <summary>
       /// Voting data container.
       /// </summary>
        public VotingDataContainer VotingData
        {
            set
            {
                votingMetadata = value;
            }
            get
            {
                return votingMetadata;
            }
        }
        /// <summary>
        /// List to hold the Individual Voting results.
        /// </summary>
        public List<VotingIndividualResultContainer> IndividualResults
        {
            set
            {
                votingIndvResults = value;
            }
            get
            {
                return votingIndvResults;
            }
        }

        /// <summary>
        /// Total results container.
        /// </summary>
        public VotingTotalResultsContainer TotalResults 
        {
            set
            {
                votingTotalResults = value;
            }
            get
            {
                return votingTotalResults;
            }
        }

        /// <summary>
        /// Answers List used in Voting session.
        /// </summary>
        public List<AnswerContainer> Answers
        {
            set
            {
                votingAnswers = value;
            }
            get
            {
                return votingAnswers;
            }
        }

        #endregion
                
        #region Fields

       
        /// <summary>
        /// see info.
        /// </summary>
        private List<AnswerContainer> votingAnswers;
        
        /// <summary>
        /// see info.
        /// </summary>
        private VotingDataContainer votingMetadata;

        /// <summary>
        /// see info.
        /// </summary>
        private List<VotingIndividualResultContainer> votingIndvResults;

        /// <summary>
        /// see info.
        /// </summary>
        private VotingTotalResultsContainer votingTotalResults;

        #endregion
    }
}
