#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   DiscussionDataContainer.cs  $
//      Last Save $Date:   Oct 14 2009 17:19:34  $
//            $Revision:   1.4  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains the data regarding a discussion.
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Diagnostics;
using System.Reflection;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "DiscussionDataContainer", IsNullable = false)]
    public class DiscussionDataContainer
    {
        #region Constructor

        public DiscussionDataContainer()
        {
        }

        public DiscussionDataContainer(Int32 numberOfActiveMicrophones)
        {
            _numberOfActiveMicrophones = numberOfActiveMicrophones;
        }

        #endregion

        #region Properties

        /// <summary>
        /// The number of active microphones within this discussion.
        /// </summary>
        [XmlAttribute]
        public Int32 NumberOfActiveMicrophones
        {
            get
            {
                return _numberOfActiveMicrophones;
            }
            set
            {
                _numberOfActiveMicrophones = value;
            }
        }

        #endregion

        #region Fields

        /// <summary>
        /// The number of active microphones within this discussion.
        /// </summary>
        private Int32 _numberOfActiveMicrophones;

        #endregion
    }
}
