#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   GroupContainer.cs  $
//      Last Save $Date:   Oct 14 2009 17:19:34  $
//            $Revision:   1.5  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains the data regarding a group.
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.ComponentModel;
using System.Reflection;
using DcnSwSmd.Collections;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "GroupContainer", IsNullable = false)]
    public class GroupContainer
    {
        #region Constructor

        public GroupContainer()
        {
        }

        public GroupContainer(string name)
        {
            _name = name;
        }

        public GroupContainer(string name, long groupRemainingSpeechTime, STOPWATCH_STATE stopWatchState)
        {
            Name = name;
            RemainingGroupSpeechTime = groupRemainingSpeechTime;
            StopWatchState = stopWatchState;
        }

        public GroupContainer(string name, long groupRemainingSpeechTime)
        {
            // TODO: Complete member initialization
            this.Name = name;
            this.groupRemainingSpeechTime = groupRemainingSpeechTime;
        }
        #endregion

        #region Properties

        /// <summary>
        /// The name for this group.
        /// </summary>
        [XmlAttribute]
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }

        [XmlAttribute]
        public long RemainingGroupSpeechTime
        {
            get
            {
                return _groupRemainingSpeechTime;
            }
            set
            {
                _groupRemainingSpeechTime = value;
            }
        }
       
        #endregion

        #region Fields

        private string _name;
        private long _groupRemainingSpeechTime;
        private STOPWATCH_STATE stopWatchState;
        private long groupRemainingSpeechTime;

        [XmlAttribute]
        public STOPWATCH_STATE StopWatchState
        {
            get { return stopWatchState; }
            set { stopWatchState = value; }
        }
        

       
        #endregion
    }
}
