#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   SessionDataContainer.cs  $
//      Last Save $Date:   Oct 14 2009 17:19:50  $
//            $Revision:   1.5  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains the data regarding a session.
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Reflection;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "SessionDataContainer", IsNullable = false)]
    public class SessionDataContainer
    {
        #region Constructor

        public SessionDataContainer()
        {
        }

        public SessionDataContainer(string subject, string description, 
            bool isDone)
        {
            _subject = subject;
            _description = description;
            _done = isDone;
        }

        #endregion

        #region Properties

        /// <summary>
        /// The subject of this session.
        /// </summary>
        [XmlAttribute]
        public string Subject
        {
            get
            {
                return _subject;
            }
            set
            {
                _subject = value;
            }
        }

        /// <summary>
        /// The description of this session.
        /// </summary>
        [XmlAttribute]
        public string Description
        {
            get
            {
                return _description;
            }
            set
            {
                _description = value;
            }
        }

        /// <summary>
        /// Is this session already done.
        /// </summary>
        [XmlAttribute]
        public bool Done
        {
            get
            {
                return _done;
            }
            set
            {
                _done = value;
            }
        }

        #endregion

        #region Fields

        private string _subject;

        private string _description;

        private bool _done;

        #endregion
    }
}
