#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   SystemActivity.cs  $
//      Last Save $Date:   Oct 15 2009 15:17:50  $
//            $Revision:   1.7  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains the data regarding a system activity.
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Reflection;
using System.Globalization;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "SystemActivity", IsNullable = false)]
    public class SystemActivity : Activity
    {
        #region Constructor

        public SystemActivity()
        {
            Topic = EnumTopic.System;
        }

        public SystemActivity(EnumActivityType activityType)
            : this()
        {
            this.Type = activityType;
        }

        #endregion

        #region Methods

        /// <summary>
        /// Get the string that contains the serialized data for this activity 
        /// as xml.
        /// </summary>
        /// <returns></returns>
        internal override string GetXmlString()
        {
            return this.SerializeObject<SystemActivity>(this);
        }

        /// <summary>
        /// Create a string that contains some specific information regarding 
        /// the activity.
        /// </summary>
        /// <returns>The activity string</returns>
        protected override string CreateActivityString()
        {
            // Let's log the presence of the license for activity logging. 
            return String.Empty;
        }

        #endregion
    }
}
