#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   VotingAnswerResultContainer.cs  $
//      Last Save $Date:   Oct 14 2009 17:19:58  $
//            $Revision:   1.5  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains the data regarding the results of  
//                          answers on a voting.
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Reflection;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "VotingAnswerResultContainer", IsNullable = false)]
    public class VotingAnswerResultContainer
    {
        #region Constructor

        public VotingAnswerResultContainer()
        {
        }

        #endregion

        #region Properties

        /// <summary>
        /// The identifier of the answer related to this result.
        /// </summary>
        [XmlAttribute]
        public Int32 AnswerId
        {
            get
            {
                return _answerId;
            }
            set
            {
                _answerId = value;
            }
        }

        /// <summary>
        /// The number of casts for this answer.
        /// </summary>
        [XmlAttribute]
        public Int32 NumberOfCasts
        {
            get
            {
                return _numberOfCasts;
            }
            set
            {
                _numberOfCasts = value;
            }
        }

        /// <summary>
        /// The percentage of casts received for this answer.
        /// </summary>
        [XmlAttribute]
        public double Percentage
        {
            get
            {
                return _percentage;
            }
            set
            {
                _percentage = value;
            }
        }

        #endregion

        #region Methods

        #endregion

        #region Fields

        private Int32 _answerId;

        private Int32 _numberOfCasts;
        private double _percentage;

        #endregion
    }
}
