#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   VotingIndividualResultContainer.cs  $
//      Last Save $Date:   Oct 14 2009 17:20:04  $
//            $Revision:   1.5  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains the data regarding an individual result 
//                          of a vote within a meeting.
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Reflection;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "VotingIndividualResultContainer", IsNullable = false)]
    public class VotingIndividualResultContainer
    {
        #region Constructor

        public VotingIndividualResultContainer()
        {
        }

        #endregion

        #region Properties

        /// <summary>
        /// The participant from which these results are.
        /// </summary>
        public ParticipantContainer Participant
        {
            get
            {
                return _participant;
            }
            set
            {
                _participant = value;
            }
        }

        /// <summary>
        /// The answer given by the participant.
        /// </summary>
        [XmlAttribute]
        public Int32 AnswerId
        {
            get
            {
                return _answerId;
            }
            set
            {
                _answerId = value;
            }
        }

        #endregion

        #region Methods

        #endregion

        #region Fields

        private ParticipantContainer _participant;
        private Int32 _answerId;

        #endregion
    }
}
